NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.CAE.FENode Class Reference

Represents a Finite Element Node. More...

Inheritance diagram for NXOpen.CAE.FENode:
NXOpen.IFitTo NXOpen.CAE.IExportableFEEntity NXOpen.INXObject

Public Member Functions

unsafe NXOpen.CAE.FEElement[] GetElements ()
 Returns the elements which refer to this node More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe string[] GetSolverCardSyntax ()
 Returns the solver card syntax strings for this entity. More...
 

Properties

unsafe NXOpen.Point3d Coordinates [get]
 Returns the node cooridnates in absolute space More...
 
unsafe NXOpen.CoordinateSystem DisplacementCsys [get]
 Returns the nodes displacement coordinate system or a null reference (Nothing in Visual Basic) if it is the absolute coordinate system More...
 
unsafe int Label [get]
 Returns the node label More...
 
unsafe NXOpen.CoordinateSystem ReferenceCsys [get]
 Returns the nodes reference coordinate system or a null reference (Nothing in Visual Basic) if it is the absolute coordinate system More...
 
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Detailed Description

Represents a Finite Element Node.

Created in NX7.5.0

Member Function Documentation

unsafe NXOpen.INXObject NXOpen.CAE.FENode.FindObject ( string  journalIdentifier)

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX3.0.0

License requirements: None.

Parameters
journalIdentifierJournal identifier of the object
Returns

Implements NXOpen.INXObject.

unsafe NXOpen.CAE.FEElement [] NXOpen.CAE.FENode.GetElements ( )

Returns the elements which refer to this node

Created in NX7.5.2

License requirements: None.

Returns
unsafe string [] NXOpen.CAE.FENode.GetSolverCardSyntax ( )

Returns the solver card syntax strings for this entity.

Created in NX8.5.0

License requirements: None.

Returns

Implements NXOpen.CAE.IExportableFEEntity.

unsafe void NXOpen.CAE.FENode.Print ( )

Prints a representation of this object to the system log file.

Created in NX3.0.0

License requirements: None.

Implements NXOpen.INXObject.

unsafe void NXOpen.CAE.FENode.SetName ( string  name)

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Created in NX3.0.0

License requirements: None.

Parameters
name

Implements NXOpen.INXObject.

Property Documentation

unsafe NXOpen.Point3d NXOpen.CAE.FENode.Coordinates
get

Returns the node cooridnates in absolute space

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.CAE.FENode.DisplacementCsys
get

Returns the nodes displacement coordinate system or a null reference (Nothing in Visual Basic) if it is the absolute coordinate system

Created in NX7.5.2

License requirements: None.

unsafe bool NXOpen.CAE.FENode.IsOccurrence
get

Returns whether this object is an occurrence or not.

Created in NX3.0.0

License requirements: None.

unsafe string NXOpen.CAE.FENode.JournalIdentifier
get

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

Created in NX3.0.0

License requirements: None.

unsafe int NXOpen.CAE.FENode.Label
get

Returns the node label

Created in NX7.5.2

License requirements: None.

unsafe string NXOpen.CAE.FENode.Name
get

Returns the custom name of the object.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.Assemblies.Component NXOpen.CAE.FENode.OwningComponent
get

Returns the owning component, if this object is an occurrence.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.BasePart NXOpen.CAE.FENode.OwningPart
get

Returns the owning part of this object

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.INXObject NXOpen.CAE.FENode.Prototype
get

Returns the prototype of this object if it is an occurrence.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.CAE.FENode.ReferenceCsys
get

Returns the nodes reference coordinate system or a null reference (Nothing in Visual Basic) if it is the absolute coordinate system

Created in NX7.5.2

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.